% Copyright 2007 by Till Tantau
%
% This file may be distributed and/or modified
%
% 1. under the LaTeX Project Public License and/or
% 2. under the GNU Public License.
%
% See the file doc/licenses/LICENSE for more details.

\ProvidesPackageRCS $Header: beamercolorthemeeonerc.sty,v 1.4 2007/01/28 20:48:24 tantau Exp $


\mode<presentation>

%%
%% define colors
%%
\xdefinecolor{paletteRed}{RGB}{219,62,52}
\xdefinecolor{paletteDarkGray}{RGB}{78,79,80}
\xdefinecolor{paletteGray}{RGB}{157,158,160}
\xdefinecolor{paletteLightGray}{RGB}{196,197,198}

\xdefinecolor{eonercred}{RGB}{219,62,52}

\xdefinecolor{ultralightred}{RGB}{250,220,216}
\xdefinecolor{verylightred}{RGB}{244,183,177}
\xdefinecolor{lightred}{RGB}{239,145,134}
\xdefinecolor{normalred}{RGB}{219,62,52}
\xdefinecolor{darkred}{RGB}{173,53,53}
\xdefinecolor{verydarkred}{RGB}{125,35,19}

% Main colors
\setbeamercolor*{normal text}{fg=black}

\setbeamercolor*{structure}{fg=paletteRed}

\setbeamercolor*{palette primary}{use=structure,fg=structure.fg,bg=lightred}
\setbeamercolor*{palette secondary}{use=structure,fg=structure.fg,bg=verylightred}
\setbeamercolor*{palette tertiary}{use=structure,fg=structure.fg,bg=ultralightred}
\setbeamercolor*{palette quaternary}{use=structure,fg=structure.fg,bg=ultralightred}

% Outer structure
\setbeamercolor*{separation line}{bg=black} % Draw separation lines, part of default RWTH theme
\setbeamercolor{frametitle}{fg=paletteGray}
\setbeamercolor{title}{fg=paletteRed}
\setbeamercolor{subtitle}{fg=black}
\setbeamercolor{author}{fg=black}
\setbeamercolor{date}{fg=black}
\setbeamercolor{section}{fg=black}




%%
%% settings for the title page
%%
\setbeamercolor{title in titlepage}{fg=paletteRed}
\setbeamercolor{title}{fg=paletteRed}
\setbeamercolor{block title}{fg=paletteRed}
\setbeamercolor{title in head/foot}{fg=paletteRed}
\setbeamercolor{text in footer}{fg=paletteGray}
\setbeamercolor{subtitle}{fg=black}
\setbeamercolor{author in head/foot}{fg=black}
\setbeamercolor{institute in head/foot}{fg=paletteRed}



%%
%% settings for the outer theme
%%
\setbeamercolor{framenumber in head/foot}{}
\setbeamercolor{frametitle}{fg=black}
\setbeamercolor{section}{fg=black}

%%
%% settings for the table of contents
%%
\setbeamercolor{section in toc}{fg=black}
\setbeamercolor{subsection in toc}{fg=black}


%%
%% settings for the inner theme (e.g. itemize)
%%
\setbeamercolor{enumerate item}{fg=paletteRed}
\setbeamercolor{enumerate subitem}{fg=paletteRed}
\setbeamercolor{enumerate subsubitem}{fg=paletteRed}
\setbeamercolor{itemize item}{fg=paletteRed}
\setbeamercolor{itemize subitem}{fg=paletteRed}
\setbeamercolor{itemize subsubitem}{fg=paletteRed}

\mode<all>

